
package de.ivu.elect.business.ergebnis.entity;

import javax.enterprise.event.Event;
import javax.inject.Inject;

import de.ivu.elect.business.system.entity.BackgroundServiceEvent;
import de.ivu.elect.business.system.entity.SystemLogQuelle;

public class ZwischenergebnisBerechnenEvent implements BackgroundServiceEvent {

  private static final long serialVersionUID = 1L;

  @Inject
  transient Event<ZwischenergebnisBerechnenEvent> event;

  public void sendChangeEvent() {
    event.fire(new ZwischenergebnisBerechnenEvent());
  }

  @Override
  public void sendEvent() {
    sendChangeEvent();
  }

  @Override
  public SystemLogQuelle getServiceName() {
    return SystemLogQuelle.ZWISCHENERGEBNISBERECHNUNG;
  }

}